List all comments in a repository
GET
/repos/{owner}/{repo}/issues/comments
const url = 'https://gitea.example.com/api/v1/repos/example/example/issues/comments';const options = {method: 'GET', headers: {Authorization: 'Basic <credentials>'}};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request GET \ --url https://gitea.example.com/api/v1/repos/example/example/issues/comments \ --header 'Authorization: Basic <credentials>'Authorizations
Section titled “Authorizations”Parameters
Section titled “Parameters”Path Parameters
Section titled “Path Parameters”owner
required
string
Owner of the repo
repo
required
string
Name of the repo
Query Parameters
Section titled “Query Parameters”since
string format: date-time
If provided, only comments updated since the provided time are returned.
before
string format: date-time
If provided, only comments updated before the provided time are returned.
page
integer
Page number of results to return (1-based)
limit
integer
Page size of results
Responses
Section titled “Responses”CommentList
Media typeapplication/json
Array<object>
Comment represents a comment on a commit or issue
object
assets
Array<object>
Attachment a generic attachment
object
browser_download_url
string
created_at
string format: date-time
download_count
integer format: int64
id
integer format: int64
name
string
size
integer format: int64
uuid
string
body
string
created_at
string format: date-time
html_url
string
id
integer format: int64
issue_url
string
original_author
string
original_author_id
integer format: int64
pull_request_url
string
updated_at
string format: date-time
user
User represents a user
object
active
Is user active
boolean
avatar_url
URL to the user’s avatar
string
created
string format: date-time
description
The user’s description
string
email
string format: email
followers_count
User counts
integer format: int64
following_count
integer format: int64
full_name
The user’s full name
string
id
The user’s id
integer format: int64
is_admin
Is the user an administrator
boolean
language
User locale
string
last_login
string format: date-time
location
The user’s location
string
login
The user’s username
string
login_name
The user’s authentication sign-in name.
string
prohibit_login
Is user login prohibited
boolean
restricted
Is user restricted
boolean
starred_repos_count
integer format: int64
visibility
User visibility level option: public, limited, private
string
website
The user’s website
string
Example
[ { "user": { "login_name": "empty" } }]APINotFound is a not found empty response
Media typeapplication/json